#include <iostream>
#include "model.h"
#include <odb/sqlite/database.hxx>
#include <odb/sqlite/exceptions.hxx>
#include <odb/schema-catalog.hxx>
#include <odb/session.hxx>

#include "model_odb.h"

using namespace std;
using namespace demo;

int main() {
  string dbName = "demo.db";
  ::odb::sqlite::database *db = new ::odb::sqlite::database (dbName, SQLITE_OPEN_READWRITE | SQLITE_OPEN_CREATE);

  ::odb::core::session session{false};
  ::odb::core::session::current(session);

  /*::odb::transaction t (db->begin());
  ::odb::schema_catalog::create_schema (*db, "demo");
  t.commit ();*/

  ::odb::transaction t2 (db->begin());

  Damage *damage = new Damage();
  damage->name = "demo";

  buffer buf1;
  for(int i=0; i<10; i++) buf1.push_back('X');
  buffer buf2;
  for(int i=0; i<10; i++) buf2.push_back('Y');

  QImage img1;

  damage->pictures.push_back(img1);

  db->persist(damage);

  t2.commit ();

  return 0;
}