#ifndef MODEL_H_INCLUDED
#define MODEL_H_INCLUDED

#include <string>
#include <vector>
#include <QImage>

typedef std::vector<char> buffer;
#pragma db value(buffer) type("BLOB")

namespace demo {

#pragma db object
struct Damage {
  #pragma db id auto
  long id_;

  std::string name;

  std::vector<QImage> pictures;
};
}

#endif